From f664f15aeab837a4b3a8db9e0d73ddc93c860c83 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Wed, 15 Jul 2009 23:32:21 +0200
Subject: [PATCH] Add arm detection in configure

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 xbase-arm-config.patch |   14 ++++++++++++++
 xbase.spec             |    7 ++++++-
 2 files changed, 20 insertions(+), 1 deletions(-)
 create mode 100644 xbase-arm-config.patch

diff --git a/xbase-arm-config.patch b/xbase-arm-config.patch
new file mode 100644
index 0000000..7c4e2a2
--- /dev/null
+++ b/xbase-arm-config.patch
@@ -0,0 +1,14 @@
+diff -dur xbase-2.0.0.backup/config.sub xbase-2.0.0/config.sub
+--- xbase-2.0.0.backup/config.sub	2009-07-15 23:11:03.736556689 +0200
++++ xbase-2.0.0/config.sub	2009-07-15 23:22:59.888399803 +0200
+@@ -182,7 +182,8 @@
+ 	      | sparc64-* | mips64-* | mipsel-* \
+ 	      | mips64el-* | mips64orion-* | mips64orionel-*  \
+ 	      | mipstx39-* | mipstx39el-* \
+-	      | f301-* | x86_64-* | ppc64-*)
++	      | f301-* | x86_64-* | ppc64-* \
++	      | arm-*  | armbe-* | armle-* | armeb-* | armv*-*) \
+ 		;;
+ 	# Recognize the various machine names and aliases which stand
+ 	# for a CPU type and a company and sometimes even an OS.
+
diff --git a/xbase.spec b/xbase.spec
index b900d46..edf1e72 100644
--- a/xbase.spec
+++ b/xbase.spec
@@ -1,7 +1,7 @@
 Name:		xbase
 Summary: 	XBase compatible database library
 Version: 	2.0.0
-Release: 	14%{?dist}
+Release: 	14%{?dist}.fa1
 License: 	LGPLv2+
 Group: 		System Environment/Libraries
 URL:		http://linux.techass.com/projects/xdb/
@@ -11,6 +11,7 @@ Patch1:		xbase-2.0.0-fixheader.patch
 Patch2:		xbase-2.0.0-ppc.patch
 Patch3:         xbase-2.0.0-gcc43.patch
 Patch4:		xbase-2.0.0-x86_64.patch
+Patch10: 	xbase-arm-config.patch
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:	doxygen
 
@@ -53,6 +54,7 @@ zap (remove all records from a DBF file).
 %patch2 -p1
 %patch3 -p1
 %patch4 -p1
+%patch10 -p1
 
 %build
 %configure --disable-static
@@ -101,6 +103,9 @@ rm -rf $RPM_BUILD_ROOT
 %{_bindir}/dbfutil1
 
 %changelog
+* Thu Jul 16 2009 Jitesh Shah <jiteshs@marvell.com>
+- add arm detection in configure
+
 * Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
 
-- 
1.5.5.6

